/*!
 * Copyright (c) 2024 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
*/

.featured-jumbotron {
  text-align: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 0 75%;

  & &-headline {
    color: @white;
  }

  & &-headline,
  & &-subtitle {
    font-weight: 500;
  }

  .list-inline {
    margin-top: 3rem;
  }

  .btn {
    .btn-pill;
    padding: @padding-vertical @padding-horizontal;
    font-weight: 500;
  }
}

.featured-jumbotron.featured-jumbotron-dark {
  .btn-primary {
    color: white;
    background-color: @brand-primary;

    &:hover {
      background-color: darken(@brand-primary, 10%);
    }
  }
}

// Homepage Jumbotron
.homepage .featured-jumbotron {
  background-image: url('../images/homepage-jumbotron-bg.jpg');
  background-position: center;

  & &-headline {
    margin-bottom: 4rem;
  }
}

// Membership jumbotron
.membership .featured-jumbotron {
  background-image: url('../images/membership-jumbotron-bg.jpg');
  background-position: center;
}

// Projects jumbotron
.projects .featured-jumbotron {
  background-image: url('../images/projects-jumbotron-bg.jpg');
  background-position: center;
}

